Mailinglist Archive: opensuse-security-announce (73 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0825-1: Security update for file-roller
openSUSE Security Update: Security update for file-roller
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0825-1
Rating: low
References: #1151585 #1169428
Cross-References: CVE-2019-16680 CVE-2020-11736
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for file-roller fixes the following issues:

- CVE-2020-11736: Fixed a directory traversal vulnerability due to
improper checking whether a file's parent is an external symlink
(bsc#1169428).
- CVE-2019-16680: Fixed a path traversal vulnerability which could have
allowed an overwriting of a file during extraction (bsc#1151585).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-825=1



Package List:

- openSUSE Leap 15.1 (x86_64):

file-roller-3.26.2-lp151.4.3.1
file-roller-debuginfo-3.26.2-lp151.4.3.1
file-roller-debugsource-3.26.2-lp151.4.3.1

- openSUSE Leap 15.1 (noarch):

file-roller-lang-3.26.2-lp151.4.3.1


References:

https://www.suse.com/security/cve/CVE-2019-16680.html
https://www.suse.com/security/cve/CVE-2020-11736.html
https://bugzilla.suse.com/1151585
https://bugzilla.suse.com/1169428

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages